Bug 142710 - weird scsi hangs
weird scsi hangs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 03:09 EST by Need Real Name
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output showing scsi driver confusion (15.11 KB, text/plain)
2004-12-13 03:10 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-12-13 03:09:06 EST
Description of problem: I have a Mad Dog 16x external usb dvd burner.
 When it's powered off and i try to cat /proc/scsi/scsi, the cat
command simply hangs and never comes back.  The rest of the system
doesn't freeze and I can just kill the xterm window where the cat
command is, so it's not causing too much trouble, but it's weird.

It also seems to relate to some weird crashing behavior I sometimes
see during system shutdown.  I'll open a separate bug for that.

Version-Release number of selected component (if applicable):


How reproducible:
See below

Steps to Reproduce:
1. Attach external dvd burner (at least this particular one); boot system
2. cat /proc/scsi/scsi, works fine.  now disconnect burner
3. cat /proc/scsi/scsi.  command hangs indefinitely.
  
Actual results:
Command hangs forever

Expected results:
Return after some timeout, or something like that

Additional info:
Mad Dog Multimedia external usb 2.0 6-in-1 dvd burner, firmware rev
2F6 which is not the latest.  I will try upgrading the firmware but
will have to find a Windows box to run the upgrade util with :(.

dmesg output will be attached
Comment 1 Need Real Name 2004-12-13 03:10:06 EST
Created attachment 108423 [details]
dmesg output showing scsi driver confusion
Comment 2 Need Real Name 2004-12-13 03:10:54 EST
Note in the attachment that there's a null pointer dereference in the
kernel.  That can't be good.
Comment 3 Dave Jones 2005-01-10 20:56:54 EST
how're things with todays 2.6.10 update ?
Comment 4 Dave Jones 2005-07-15 13:40:56 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Need Real Name 2005-07-15 13:49:58 EDT
I will see if I can upgrade my FC3 machine.  I now also have an FC4 machine and
I can test on that, but it supports only USB1.1.
Comment 6 Dave Jones 2006-01-16 17:12:24 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Dave Jones 2006-02-03 00:14:08 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 John Thacker 2006-05-04 09:12:37 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.